Subject: Re: [PATCH 1/2] [RFC][POWERPC] MPC8568E-MDS: create localbus node

From: Scott Wood <[email-masked]>
Date: Mon, 15 Oct 2007 14:10:19 -0500

Kumar Gala wrote:
> 
> On Oct 15, 2007, at 1:47 PM, Scott Wood wrote:
> 
>> On Mon, Oct 15, 2007 at 07:57:30PM +0400, Anton Vorontsov wrote:
>>> On Mon, Oct 15, 2007 at 07:42:12PM +0400, Sergei Shtylyov wrote:
>>>>    Is the entity described as "localbus" indeed so *board* specific?
>>>
>>> That's what booting-without-of.txt gives as an example.
>>
>> The board should have been left out of that.  Your compatible should be
>> something like "fsl,mpc8568-localbus", possibly with some canonical 
>> mpc85xx
>> chip as well, chosen to represent 85xx localbus in general.
> 
> Lets be careful, there are at least two forms of localbus on 85xx.

Do you mean LAWBAR v. BRn/ORn (the manuals refer to the latter as 
"localbus", so I'd be inclined to stick with that name, and call the 
former mpc8568-lawbar or something), or some 85xx being different than 
others?

-Scott